App\Library\Amazon\Classes\VideoCard:
    xml_root_name: VideoCard
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        coreClock:
            expose: true
            access_type: public_method
            serialized_name: CoreClock
            accessor:
                getter: getCoreClock
                setter: setCoreClock
            type: App\Library\Amazon\Classes\CoreClock
        effectiveMemoryClock:
            expose: true
            access_type: public_method
            serialized_name: EffectiveMemoryClock
            accessor:
                getter: getEffectiveMemoryClock
                setter: setEffectiveMemoryClock
            type: App\Library\Amazon\Classes\EffectiveMemoryClock
        graphicsCardCooler:
            expose: true
            access_type: public_method
            serialized_name: GraphicsCardCooler
            accessor:
                getter: getGraphicsCardCooler
                setter: setGraphicsCardCooler
            type: App\Library\Amazon\Classes\GraphicsCardCooler
        graphicsCardInterface:
            expose: true
            access_type: public_method
            serialized_name: GraphicsCardInterface
            accessor:
                getter: getGraphicsCardInterface
                setter: setGraphicsCardInterface
            xml_list:
                inline: true
                entry_name: GraphicsCardInterface
            type: array<App\Library\Amazon\Classes\GraphicsCardInterface>
        graphicsCardMaxResolution:
            expose: true
            access_type: public_method
            serialized_name: GraphicsCardMaxResolution
            accessor:
                getter: getGraphicsCardMaxResolution
                setter: setGraphicsCardMaxResolution
            type: App\Library\Amazon\Classes\GraphicsCardMaxResolution
        graphicsCardMemoryInterface:
            expose: true
            access_type: public_method
            serialized_name: GraphicsCardMemoryInterface
            accessor:
                getter: getGraphicsCardMemoryInterface
                setter: setGraphicsCardMemoryInterface
            type: App\Library\Amazon\Classes\GraphicsCardMemoryInterface
        graphicsCardMemoryType:
            expose: true
            access_type: public_method
            serialized_name: GraphicsCardMemoryType
            accessor:
                getter: getGraphicsCardMemoryType
                setter: setGraphicsCardMemoryType
            type: App\Library\Amazon\Classes\GraphicsCardMemoryType
        graphicsChipsetBrand:
            expose: true
            access_type: public_method
            serialized_name: GraphicsChipsetBrand
            accessor:
                getter: getGraphicsChipsetBrand
                setter: setGraphicsChipsetBrand
            type: App\Library\Amazon\Classes\GraphicsChipsetBrand
        graphicsCoProcessor:
            expose: true
            access_type: public_method
            serialized_name: GraphicsCoProcessor
            accessor:
                getter: getGraphicsCoProcessor
                setter: setGraphicsCoProcessor
            type: App\Library\Amazon\Classes\GraphicsCoProcessor
        graphicsRAMSize:
            expose: true
            access_type: public_method
            serialized_name: GraphicsRAMSize
            accessor:
                getter: getGraphicsRAMSize
                setter: setGraphicsRAMSize
            xml_list:
                inline: true
                entry_name: GraphicsRAMSize
            type: array<App\Library\Amazon\Classes\GraphicsRAMSize>
        graphicsRAMType:
            expose: true
            access_type: public_method
            serialized_name: GraphicsRAMType
            accessor:
                getter: getGraphicsRAMType
                setter: setGraphicsRAMType
            type: App\Library\Amazon\Classes\GraphicsRAMType
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        multiGPUTechnology:
            expose: true
            access_type: public_method
            serialized_name: MultiGPUTechnology
            accessor:
                getter: getMultiGPUTechnology
                setter: setMultiGPUTechnology
            type: App\Library\Amazon\Classes\MultiGPUTechnology
        shaderClock:
            expose: true
            access_type: public_method
            serialized_name: ShaderClock
            accessor:
                getter: getShaderClock
                setter: setShaderClock
            type: App\Library\Amazon\Classes\ShaderClock
        threeDAPI:
            expose: true
            access_type: public_method
            serialized_name: ThreeDAPI
            accessor:
                getter: getThreeDAPI
                setter: setThreeDAPI
            xml_list:
                inline: true
                entry_name: ThreeDAPI
            type: array<App\Library\Amazon\Classes\ThreeDAPI>
        totalCompositePorts:
            expose: true
            access_type: public_method
            serialized_name: TotalCompositePorts
            accessor:
                getter: getTotalCompositePorts
                setter: setTotalCompositePorts
            type: App\Library\Amazon\Classes\TotalCompositePorts
        totalDVIPorts:
            expose: true
            access_type: public_method
            serialized_name: TotalDVIPorts
            accessor:
                getter: getTotalDVIPorts
                setter: setTotalDVIPorts
            type: App\Library\Amazon\Classes\TotalDVIPorts
        totalHDMIPorts:
            expose: true
            access_type: public_method
            serialized_name: TotalHDMIPorts
            accessor:
                getter: getTotalHDMIPorts
                setter: setTotalHDMIPorts
            type: App\Library\Amazon\Classes\TotalHDMIPorts
        totalMiniHDMIPorts:
            expose: true
            access_type: public_method
            serialized_name: TotalMiniHDMIPorts
            accessor:
                getter: getTotalMiniHDMIPorts
                setter: setTotalMiniHDMIPorts
            type: App\Library\Amazon\Classes\TotalMiniHDMIPorts
        totalSVideoOutPorts:
            expose: true
            access_type: public_method
            serialized_name: TotalSVideoOutPorts
            accessor:
                getter: getTotalSVideoOutPorts
                setter: setTotalSVideoOutPorts
            type: App\Library\Amazon\Classes\TotalSVideoOutPorts
        totalVGAOutPorts:
            expose: true
            access_type: public_method
            serialized_name: TotalVGAOutPorts
            accessor:
                getter: getTotalVGAOutPorts
                setter: setTotalVGAOutPorts
            type: App\Library\Amazon\Classes\TotalVGAOutPorts
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
